Subject: bug#65802: 29.1; Emacs fails to recognise Hyper under Wayland (KDE)

From: Po Lu <[email-masked]>
Date: Fri, 08 Sep 2023 16:35:02 +0800

Stefan Kangas <[email-masked]> writes:

> Is the hope that the PGTK build will be ported to GTK4 at some point?

I've in fact done that, so I have a reasonably accurate grasp of the
problems incurred.  One example: GTK 4 lacks a traditional menu widget,
for which the only substitute provided employs XML-based GMenuModels
(that are prohibitively expensive to generate dynamically), so Emacs
must implement menu bar widgets itself.

I would hope that we eventually take on responsibility for Wayland
support ourselves, in lieu of entrusting such tasks to a group of
developers whose motives and objectives cannot align with our own.